petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecScatterFFTWToPetsc

Converts FFTW output to the PETSc vector.

### Synopsis

    #include "petscmat.h"
    #include "petscvec.h"
    PetscErrorCode VecScatterFFTWToPetsc(Mat A,Vec x,Vec y)

Collective on Mat Many br

### Input Parameters

| A | - FFTW matrix Many br
| x | - FFTW vector Many br

### Output Parameters

y -PETSc vector Many br

Many br

Note: While doing real transform the FFTW output of backward DFT contains extra zeros at the end of last dimension. Many brVecScatterFFTWToPetsc removes those extra zeros. Many br

### See Also

VecScatterPetscToFFTW()

Level:intermediate
Location:src/mat/impls/fft/fftw/fftw.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages